scala.swing

# RichWindow

#### sealed trait RichWindow extends Window

A window that adds some functionality to the plain Window class and serves as the common base class for frames and dialogs.

Implementation note: this class is sealed since we need to know that a rich window is either a dialog or a frame at some point.

Source
  RichWindow.scala

Linear Supertypes
Window, RootPanel, Container, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Known Subclasses
Dialog, Frame, MainFrame, Undecorated
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. RichWindow
2. Window
3. RootPanel
4. Container
5. UIElement
6. LazyPublisher
7. Publisher
8. Reactor
9. Proxy
10. AnyRef
11. Any

Visibility

1. Public
2. All

### Type Members

1. #### trait InterfaceMixin extends InterfaceMixin

   Definition Classes
     RichWindow → Window

### Abstract Value Members

1. #### abstract def peer: Window with InterfaceMixin

   The underlying Swing peer.

   The underlying Swing peer.

   Definition Classes
     RichWindow → Window → RootPanel → UIElement

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

7. #### def background: Color

   Definition Classes
     UIElement

8. #### def background_=(c: Color): Unit

   Definition Classes
     UIElement

9. #### def bounds: Rectangle

   Definition Classes
     UIElement

10. #### def bounds_=(rect: Rectangle): Unit

    Definition Classes
      Window

11. #### def centerOnScreen(): Unit

    Definition Classes
      Window

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

13. #### def close(): Unit

    Definition Classes
      Window

14. #### def closeOperation(): Unit

    This method is called when the window is closing, after all other window event listeners have been processed.

    This method is called when the window is closing, after all other window event listeners have been processed.

    Definition Classes
      Window

15. #### def contents: Seq[Component]

    At most one component.

    At most one component.

    Definition Classes
      RootPanel → Container

16. #### def contents_=(c: Component): Unit

    Definition Classes
      Window → RootPanel

17. #### def cursor: Cursor

    Definition Classes
      UIElement

18. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

19. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

20. #### def defaultButton: Option[Button]

    Definition Classes
      Window

21. #### def defaultButton_=(b: Option[Button]): Unit

    Definition Classes
      Window

22. #### def defaultButton_=(b: Button): Unit

    Definition Classes
      Window

23. #### def displayable: Boolean

    Definition Classes
      UIElement

24. #### def dispose(): Unit

    Definition Classes
      Window

25. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

26. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

27. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

28. #### def font: Font

    Definition Classes
      UIElement

29. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

30. #### def foreground: Color

    Definition Classes
      UIElement

31. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

32. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

33. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

34. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

35. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

36. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

37. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

38. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

39. #### def locale: Locale

    Definition Classes
      UIElement

40. #### def location: Point

    Definition Classes
      UIElement

41. #### def locationOnScreen: Point

    Definition Classes
      UIElement

42. #### def location_=(p: Point): Unit

    Definition Classes
      Window

43. #### def maximumSize: Dimension

    Definition Classes
      UIElement

44. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

45. #### def menuBar: MenuBar

    The menu bar of this frame or `NoMenuBar` if no menu bar is set.

46. #### def menuBar_=(m: MenuBar): Unit

    Set the current menu bar of this frame.

    Set the current menu bar of this frame. Pass `NoMenuBar` if this frame should not show a menu bar.

47. #### def minimumSize: Dimension

    Definition Classes
      UIElement

48. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

49. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

50. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

51. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

52. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

53. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

54. #### def open(): Unit

    Definition Classes
      Window

55. #### def owner: Window

    Definition Classes
      Window

56. #### def pack(): RichWindow.this.type

    Definition Classes
      Window

57. #### def preferredSize: Dimension

    Definition Classes
      UIElement

58. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

59. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

60. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

61. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

62. #### def repaint(): Unit

    Definition Classes
      UIElement

63. #### def resizable: Boolean

64. #### def resizable_=(b: Boolean): Unit

65. #### def self: Component

    Definition Classes
      UIElement → Proxy

66. #### def setLocationRelativeTo(c: UIElement): Unit

    Definition Classes
      Window

67. #### def showing: Boolean

    Definition Classes
      UIElement

68. #### def size: Dimension

    Definition Classes
      UIElement

69. #### def size_=(size: Dimension): Unit

    Definition Classes
      Window → UIElement

70. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

71. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

72. #### def title: String

73. #### def title_=(s: String): Unit

74. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Proxy → AnyRef → Any

75. #### def toolkit: Toolkit

    Definition Classes
      UIElement

76. #### def unsubscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

77. #### def visible: Boolean

    Definition Classes
      UIElement

78. #### def visible_=(b: Boolean): Unit

    Definition Classes
      UIElement

79. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

80. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

81. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Window

### Inherited from RootPanel

### Inherited from Container

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any